org.jgrapht.generate

## Class WeightedGraphGeneratorAdapter<V,E,T>

- java.lang.Object
- - org.jgrapht.generate.WeightedGraphGeneratorAdapter<V,E,T>

- All Implemented Interfaces:
    GraphGenerator<V,E,T>
  Direct Known Subclasses:
    SimpleWeightedBipartiteGraphMatrixGenerator, SimpleWeightedGraphMatrixGenerator

      public abstract class WeightedGraphGeneratorAdapter<V,E,T>
      extends Object
      implements GraphGenerator<V,E,T>

  WeightedGraphGenerator defines an interface for generating graph structures having edges weighted with real values.
  Since:
    Aug 1, 2013
  Author:
    Alexey Kudinkin

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected double[][]` | `weights`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WeightedGraphGeneratorAdapter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generateGraph(Graph<V,E> target, VertexFactory<V> vertexFactory, Map<String,T> resultMap)` Generate a graph structure.
    `abstract void` | `generateGraph(WeightedGraph<V,E> target, VertexFactory<V> vertexFactory, Map<String,T> resultMap)`
    `WeightedGraphGeneratorAdapter<V,E,T>` | `weights(double[][] weights)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### weights

          protected double[][] weights

  - ### Constructor Detail

    - #### WeightedGraphGeneratorAdapter

          public WeightedGraphGeneratorAdapter()

  - ### Method Detail

    - #### generateGraph

          public abstract void generateGraph(WeightedGraph<V,E> target,
                           VertexFactory<V> vertexFactory,
                           Map<String,T> resultMap)

    - #### weights

          public WeightedGraphGeneratorAdapter<V,E,T> weights(double[][] weights)

    - #### generateGraph

          public void generateGraph(Graph<V,E> target,
                           VertexFactory<V> vertexFactory,
                           Map<String,T> resultMap)

      Description copied from interface: `GraphGenerator`
      Generate a graph structure. The topology of the generated graph is dependent on the implementation. For graphs in which not all vertices share the same automorphism equivalence class, the generator may produce a labeling indicating the roles played by generated elements. This is the purpose of the resultMap parameter. For example, a generator for a wheel graph would designate a hub vertex. Role names used as keys in resultMap should be declared as public static final Strings by implementation classes.
      Specified by:
        `generateGraph` in interface `GraphGenerator<V,E,T>`
      Parameters:
        `target` - receives the generated edges and vertices; if this is non-empty on entry, the result will be a disconnected graph since generated elements will not be connected to existing elements
        `vertexFactory` - called to produce new vertices
        `resultMap` - if non-null, receives implementation-specific mappings from String roles to graph elements (or collections of graph elements)

Copyright © 2016. All rights reserved.